/* Centaur Chirp
 * Version 1.3
 * 10/10/2020
 *
 * Functions declared:
 *
 * void init_freq(void)
 * int seek_tonechar(char ch)
 * void exec_tonechar(int Freq, int Length, int Times, int Delay)
 * void tonestr(char string[])
 *
 * chirp.h
 */

#ifndef _CHIRP_H
#define _CHIRP_H 1

#define TONE_SHELL_COMMAND "/bin/tone"

/* Not to be confused with the definitions in beep.c */

#define _DEFAULT_FREQ	444.0
#define _DEFAULT_LENGTH	65
#define _DEFAULT_TIMES	1
#define _DEFAULT_DELAY	10

static char SYMBOLS[100] = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ 1234567890.,?!;:'`\"()<>[]{}\\/-_=+~@#$%^&*";

int FREQ[94];

typedef struct
{
	int freq;
	int length;
	int times;
	int delay;
} tone_pack;

tone_pack init_pack;

int Freq_Adj;

void init_freq(void);

int seek_tonechar(char ch);

void exec_tonechar(int Freq, int Length, int Times, int Delay);

void tonestr(char string[]);

#endif /* _CHIRP_H */
